<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Configuration</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__config.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#files">Files</a>  </div>
  <div class="headertitle">
<div class="title">Configuration</div>  </div>
</div><!--header-->
<div class="contents">

<p>Configuration settings.  
<a href="#details">More...</a></p>
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>Configuration settings. </p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:erpc__config_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="erpc__config_8h.html">erpc_config.h</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Threading model options</h2></td></tr>
<tr class="memitem:gac6d21dc92dda4bf73e0d8b7e6cd62401"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac6d21dc92dda4bf73e0d8b7e6cd62401"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__config.html#gac6d21dc92dda4bf73e0d8b7e6cd62401">ERPC_THREADS_NONE</a></td></tr>
<tr class="memdesc:gac6d21dc92dda4bf73e0d8b7e6cd62401"><td class="mdescLeft">&#160;</td><td class="mdescRight">No threads. <br /></td></tr>
<tr class="separator:gac6d21dc92dda4bf73e0d8b7e6cd62401"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga249c8ba8309397b48bdaa5225ff9d6e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga249c8ba8309397b48bdaa5225ff9d6e3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__config.html#ga249c8ba8309397b48bdaa5225ff9d6e3">ERPC_THREADS_PTHREADS</a></td></tr>
<tr class="memdesc:ga249c8ba8309397b48bdaa5225ff9d6e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">POSIX pthreads. <br /></td></tr>
<tr class="separator:ga249c8ba8309397b48bdaa5225ff9d6e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga495d2109c2e80b0f81dd87206227bbef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga495d2109c2e80b0f81dd87206227bbef"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__config.html#ga495d2109c2e80b0f81dd87206227bbef">ERPC_THREADS_FREERTOS</a></td></tr>
<tr class="memdesc:ga495d2109c2e80b0f81dd87206227bbef"><td class="mdescLeft">&#160;</td><td class="mdescRight">FreeRTOS. <br /></td></tr>
<tr class="separator:ga495d2109c2e80b0f81dd87206227bbef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Configuration options</h2></td></tr>
<tr class="memitem:ga31c380773a119185d1ab1816accc3f04"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__config.html#ga31c380773a119185d1ab1816accc3f04">ERPC_DEFAULT_BUFFER_SIZE</a></td></tr>
<tr class="memdesc:ga31c380773a119185d1ab1816accc3f04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of buffers allocated by BasicMessageBufferFactory in setup functions.  <a href="#ga31c380773a119185d1ab1816accc3f04">More...</a><br /></td></tr>
<tr class="separator:ga31c380773a119185d1ab1816accc3f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ga31c380773a119185d1ab1816accc3f04"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ERPC_DEFAULT_BUFFER_SIZE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Size of buffers allocated by BasicMessageBufferFactory in setup functions. </p>
<p>Uncomment to change the size of buffers allocated by BasicMessageBufferFactory in the client and server setup functions (<a class="el" href="group__client__setup.html">Client Setup</a> and <a class="el" href="group__server__setup.html">Server Setup</a>). The default size is 256. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
